## fathom 1.0%2Bgit.20190120.0439ca

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_TARGET_MULTIARCH ?= $(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)

CC=gcc
CFLAGS=-std=gnu99 -g -O2 -Wall -D TB_NO_THREADS -D TB_NO_HW_POP_COUNT -I.. $(CPPFLAGS)

%:
	dh $@

override_dh_auto_build: fathom

override_dh_auto_install:
	dh_auto_install
	install -d debian/tmp/usr/lib/$(DEB_TARGET_MULTIARCH)
	cp --reflink=auto -a ./lib*.so debian/tmp/usr/lib/$(DEB_TARGET_MULTIARCH)
	cp --reflink=auto -a ./lib*.so.* debian/tmp/usr/lib/$(DEB_TARGET_MULTIARCH)

override_dh_makeshlibs:
	dh_makeshlibs -- -v1.0 -plibfathom1

override_dh_clean:
	rm -f *.o *.a *.so.* *.so fathom
	dh_clean

fathom: fathom.o libfathom
	$(CC) $(LDFLAGS) -L. $< -lfathom -o $@

fathom.o: src/apps/fathom.c
	$(CC) $(CFLAGS) -I src -c $< -o $@

libfathom.a: tbprobe.o
	ar rcs $@ $^

tbprobe.o: src/tbprobe.c src/tbprobe.h
	$(CC) $(CFLAGS) -fPIC -I src -c -o $@ $<

libfathom: tbprobe.o libfathom.so.1 libfathom.so
	$(CC) $(LDFLAGS) -shared tbprobe.o -Wl,-soname,libfathom.so.1 -o libfathom.so.1.0.0

libfathom.so.1:
	ln -s libfathom.so.1.0.0 $@

libfathom.so:
	ln -s libfathom.so.1.0.0 $@

## fathom 1.0+git.20190120.0439ca

=== src/apps/Makefile ===
UNAME=$(shell uname -s)
ifeq ($(UNAME),Linux)
    TARGET=fathom.linux
endif
ifeq ($(UNAME),Darwin)
    TARGET=fathom.macosx
endif
CC=clang
STRIP=strip
CFLAGS=-std=c99 -O2 -Wall -D TB_NO_THREADS -I..

main: $(TARGET)

fathom.linux:
	$(CC) $(CFLAGS) fathom.c ../tbprobe.c -o fathom.linux
	$(STRIP) fathom.linux

fathom.macosx:
	$(CC) $(CFLAGS) fathom.c ../tbprobe.c -o fathom.macosx
	$(STRIP) fathom.macosx

fathom.windows: CC=x86_64-w64-mingw32-gcc
fathom.windows: STRIP=x86_64-w64-mingw32-strip
fathom.windows:
	$(CC) $(CFLAGS) fathom.c ../tbprobe.c -o fathom.exe
	$(STRIP) fathom.exe

INSTALL=Fathom-1.0
PACKAGE=Fathom-1.0.zip
release:
	mkdir $(INSTALL)
	cp fathom.linux $(INSTALL)
	cp fathom.macosx $(INSTALL)
	cp fathom.exe $(INSTALL)
	zip -r $(PACKAGE) $(INSTALL)
	rm -rf $(INSTALL)

=== debian/changelog ===
fathom (1.0+git.20190120.0439ca-1) unstable; urgency=medium

  * debian/control:
    - Use debhelper compat version 12.
    - Change maintainer's e-mail and upstream homepage.
  * debian/copyright:
    - Update url source, copyright notices and my e-mail.
  * debian/rules:
    - Add -I option to find headers.
  * debian/watch:
    - Change upstream git repo.
      Use Jon Dart's fork. It has some bug fixes and enhancements.

 -- Jose G. López <josgalo@jglopez.name>  Fri, 25 Jan 2019 20:39:28 +0100

fathom (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #914595)

 -- Jose G. López <josgalo@gmail.com>  Mon, 31 Dec 2018 10:02:17 +0100

=== debian/control ===
Source: fathom
Priority: optional
Maintainer: Jose G. López <josgalo@jglopez.name>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0
Section: libs
Homepage: https://github.com/jdart1/Fathom
Vcs-Browser: https://salsa.debian.org/josgalo-guest/fathom
Vcs-Git: https://salsa.debian.org/josgalo-guest/fathom.git

Package: libfathom-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libfathom1 (= ${binary:Version}), ${misc:Depends}
Description: Library for probing Syzygy tablebases (development files)
 Fathom is a stand-alone Syzygy tablebase probing tool.
 .
 The aims of Fathom are:
  - To make it easy to integrate the Syzygy tablebases into existing
 chess engines.
  - To make it easy to create stand-alone applications that use the
 Syzygy tablebases.
 .
 This package contains the development files.

Package: libfathom1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for probing Syzygy tablebases
 Fathom is a stand-alone Syzygy tablebase probing tool.
 .
 The aims of Fathom are:
  - To make it easy to integrate the Syzygy tablebases into existing
 chess engines.
  - To make it easy to create stand-alone applications that use the
 Syzygy tablebases.

Package: fathom
Section: games
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command-line for probing Syzygy tablebases
 Fathom is a stand-alone Syzygy tablebase probing tool.
 .
 The aims of Fathom are:
  - To make it easy to integrate the Syzygy tablebases into existing
 chess engines.
  - To make it easy to create stand-alone applications that use the
 Syzygy tablebases.
 .
 This package contains the command-line tool.

=== debian/watch ===
version=4

# Direct Git
opts="mode=git" https://github.com/jdart1/Fathom.git \
   refs/tags/v([\d\.]+) debian uupdate

## fathom 1.0+git.20190811.97fb5c

=== src/apps/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ifeq ($(UNAME),Darwin)
     TARGET=fathom.macosx
 endif
-CC=clang
+CC?=gcc
 STRIP=strip
 CFLAGS=-std=c99 -O2 -Wall -D TB_NO_THREADS -I..

=== debian/changelog ===
fathom (1.0+git.20190811.97fb5c-1) unstable; urgency=medium

  * Import upstream lastest changes
  * debian/control:
    - Bump to Standards-Version 4.5.0. No changes required.
    - Add Rules-Requires-Root as neither root nor fakeroot is required.
  * debian/copyright:
    - Update copyright year for Debian files.
  * debian/gbp.conf:
    - Use default section to apply to most gpb commands.
  * debian/rules:
    - Apply patch to make the build reproducible (Closes: #941116)
      Thanks to Chris Lamb <lamby@debian.org>
  * debian/libfathom1.symbols:
    - Add new symbols.

 -- Jose G. López <josgalo@jglopez.name>  Mon, 30 Mar 2020 17:33:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Priority: optional
 Maintainer: Jose G. López <josgalo@jglopez.name>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/jdart1/Fathom
 Vcs-Browser: https://salsa.debian.org/josgalo-guest/fathom
 Vcs-Git: https://salsa.debian.org/josgalo-guest/fathom.git
+Rules-Requires-Root: no
 
 Package: libfathom-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,8 @@
 export DEB_TARGET_MULTIARCH ?= $(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
 
 CC=gcc
-CFLAGS=-std=gnu99 -g -O2 -Wall -D TB_NO_THREADS -D TB_NO_HW_POP_COUNT -I.. $(CPPFLAGS)
+CFLAGS=-std=gnu99 $(shell dpkg-buildflags --get CFLAGS) \
+-Wall -D TB_NO_THREADS -D TB_NO_HW_POP_COUNT -I.. $(CPPFLAGS)
 
 %:
 	dh $@
